require "open-uri"
require "json"

module Tardef::Connector
  class JSON < Base
    def read_file
      file = open(@filename)
      json = ::JSON.load(file)
    end
  
    def write_file(data)
      json = ::JSON.pretty_generate(data)
      ::File.open(@filename, "w") { |f| f.write(json) }
    end
  end
end