require "open-uri"
require "xmlsimple"

module Tardef::Connector
  class XML < Base
    def read
      raise "Connector is write-only"
    end
    
    def read_file
      file = open(@filename)
      XmlSimple.xml_in(file)
    end
  
    def write_file(data)
      xml = XmlSimple.xml_out(data)
      ::File.open(@filename, "w") { |f| f.write(xml) }
    end
  end
end