require "open-uri"
require "yaml"

module Tardef::Connector
  class YAML < Base
    def read_file
      file = open(@filename)
      yaml = ::YAML.load(file)
    end
  
    def write_file(data)
      yaml = ::YAML.dump(data)
      ::File.open(@filename, "w") { |f| f.write(yaml) }
    end
  end
end